Skip to content

getProductOptions.v1

POST
/shopgate.catalog.getProductOptions.v1

This pipeline is used to retrieve the options of a product. The result is already sorted.

Media typeapplication/json
object
productId
required
string
Examplegenerated
{
"productId": "example"
}

Successful response.

Media typeapplication/json
object
options
Array<object>

Some products have options to select, some of them will affect the unit price of it

object
id
required

The unique identifier for this option

string
type
required

The type of this option (input field or combobox)

string
Allowed values: text select
label
required

The label of the form element that will be display to the customer

string
required

If true, the customer is forced to select or insert something to the form element

boolean
annotation

A short text, that will be available by clicking a little questionmark on the productpage

string
unitPriceModifier

This property is only available if the type is text and show the amount in the shop’s currency by that the price will change if something is inserted to the form field

number format: float
values

This property is only available if the type is select and will display the possible values to choose from

Array<object>
object
id

The unique id of this value for this option (as in the shop system of the merchant)

string
unitPriceModifier

This property shows the amount in the shop’s currency by that the price will change if this option is selected

number format: float
label

The label of this value that should be showed to the customer

string
Example
{
"options": [
{
"id": "string",
"type": "text",
"label": "string",
"required": false,
"annotation": "string",
"unitPriceModifier": 0,
"values": [
{
"id": "string",
"unitPriceModifier": 0,
"label": "string"
}
]
}
]
}